#include<stdio.h>
#include<string.h>

int main () {

   int n,m;
   scanf("%d %d", &n, &m);
   int a[n];
   int b[m][2];
   
   for(int i=0;i<n;i++)
        scanf("%d",&a[i]);
   for(int i=0;i<m;i++)
    for(int j=0;j<2;j++)
        scanf("%d",&b[i][j]);
    
    printf("%d",m * 2);
    
}